%define name frozen-bubble
%define version 1.0.0
%define release 6mdk
%define Summary Frozen Bubble arcade game

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://guillaume.cottenceau.free.fr/fb/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Arcade
URL: http://www.frozen-bubble.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL_mixer-devel >= 1.2.2 libsmpeg-devel perl-devel perl-SDL
Requires: perl-SDL >= 1.18

%description
Full-featured, colorful animated penguin eyecandy, 100 levels of 1p game
plus a level editor, hours and hours of 2p game, 3 professional quality
20-channels musics, 15 stereo sound effects, 7 unique graphical transition
effects.

%prep
%setup -q
rm -f c_stuff/lib/build_fbsyms
rm -rf `find -name .xvpics`

%build
make OPTIMIZE="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} BINDIR=%{_gamesbindir} DATADIR=%{_gamesdatadir} MANDIR=%{_mandir} INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} BINDIR=$RPM_BUILD_ROOT/%{_gamesbindir} DATADIR=$RPM_BUILD_ROOT/%{_gamesdatadir} MANDIR=$RPM_BUILD_ROOT/%{_mandir} 
rm -f $RPM_BUILD_ROOT/%{_gamesdatadir}/frozen-bubble/gfx/shoot/create.pl

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/frozen-bubble" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Frozen-Bubble" \
  longtitle="%{Summary}"
EOF

install -m 644 icons/frozen-bubble-icon-16x16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-32x32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-48x48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS CHANGES
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/*.pm
%{_mandir}/*/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-6mdk
- rebuild for new perl
- change summary macro to avoid possible conflicts if we were to build debug package

* Mon Jul 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-5mdk
- don't package create.pl so that we don't wrongly depend on gimp-perl

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-4mdk
- rebuild to put src.rpm back 

* Mon Jul  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-3mdk
- put binaries and data in right places (#4148)

* Tue Jun 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-2mdk
- get rid of .xvpics files

* Sun Feb 16 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- new version

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-6mdk
- rebuild for threaded perl

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix BuildRequires
- Remove NO_XALF from menu entries

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.3-4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-3mdk
- recompile against new vorbis stuff

* Tue Jul  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-2mdk
- rebuild for new perl

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-1mdk
- new version

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-2mdk
- set AutoProv to no to not be a "provider" for libSDL_mixer-1.2.so.0
- install icons with correct perms (thx Meles MELES <meles@free.fr>)

* Thu Feb  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- new version

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm
